Skip to main content
GET
/
baas
/
v1
/
charges
/
{correlationId}
curl --location 'https://apisandbox.delbank.com.br/baas/v1/charges/304c439c-4b17-4a75-abb1-2526e356cdad' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}'
curl --location 'https://apisandbox.delbank.com.br/baas/v1/charges?startDate=2025-01-01&endDate=2025-01-31&page=1&limit=50' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}'
{
    "type": "BANKSLIP",
    "correlationId": "304c439c-4b17-4a75-abb1-2526e356cdad",
    "amount": 150.00,
    "walletNumber": "112",
    "yourNumber": "PED-2024-001",
    "ourNumber": "00000520637",
    "dueDate": "2025-12-30T00:00:00Z",
    "barCode": "43595103800000000100001112000000600000520637",
    "digitableLine": "43590001161200000060900005206370510380000000010",
    "payer": {
        "name": "JOÃO ALVES",
        "document": "07034346593",
        "email": "joao@email.com",
        "phone": { "prefix": "79", "number": "988669383" },
        "address": {
            "zipCode": "49010030",
            "publicPlace": "AV. RIO BRANCO",
            "neighborhood": "CENTRO",
            "number": "186",
            "complement": "SALA 602",
            "city": "ARACAJU",
            "state": "SE"
        }
    },
    "status": "Pending",
    "payments": [],
    "createdAt": "2024-12-05T17:55:55.08Z",
    "updatedAt": "2024-12-05T18:00:55.56Z"
}
{
    "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
    "title": "Not Found",
    "status": 404,
    "traceId": "00-72c40340fe67d8caed8275ee6e37a7a6-52bb2d57c1652859-00"
}
Para o passo a passo completo, veja o guia Consultar Boleto.

Consultar por correlationId

GET /baas/v1/charges/:correlationId

Headers

x-delbank-api-key
string
required
Sua API key.
x-delfinance-account-id
string
required
Número da conta Delfinance.

Path

correlationId
string
required
GUID do boleto informado na criação.

Consulta paginada por período

GET /baas/v1/charges?startDate=&endDate=&page=&limit=

Query params

startDate
string
required
Data inicial no formato YYYY-MM-DD.
endDate
string
required
Data final no formato YYYY-MM-DD. Intervalo máximo: 1 ano.
page
number
Número da página (começa em 1).
limit
number
Itens por página — máximo 100.

Response

type
string
Tipo: BANKSLIP ou BANKSLIP_PIX.
correlationId
string
GUID de conciliação.
amount
number
Valor do boleto.
walletNumber
string
Carteira: "112" ou "121".
yourNumber
string
Número do documento.
ourNumber
string
Nosso número.
dueDate
string
Data de vencimento em ISO 8601.
barCode
string
Código de barras.
digitableLine
string
Linha digitável.
payer
object
Dados do pagador.
beneficiary
object
Dados do beneficiário (cedente).
discount
object
Configuração de desconto por antecipação, se aplicável.
lateFine
object
Configuração de multa, se aplicável.
latePayment
object
Configuração de juros, se aplicável.
status
string
Status atual: Pending, Paid, Expired ou Cancelled.
payments
array
Histórico de pagamentos registrados.
createdAt
string
Data/hora de criação em ISO 8601.
updatedAt
string
Data/hora da última atualização em ISO 8601.
curl --location 'https://apisandbox.delbank.com.br/baas/v1/charges/304c439c-4b17-4a75-abb1-2526e356cdad' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}'
curl --location 'https://apisandbox.delbank.com.br/baas/v1/charges?startDate=2025-01-01&endDate=2025-01-31&page=1&limit=50' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}'
{
    "type": "BANKSLIP",
    "correlationId": "304c439c-4b17-4a75-abb1-2526e356cdad",
    "amount": 150.00,
    "walletNumber": "112",
    "yourNumber": "PED-2024-001",
    "ourNumber": "00000520637",
    "dueDate": "2025-12-30T00:00:00Z",
    "barCode": "43595103800000000100001112000000600000520637",
    "digitableLine": "43590001161200000060900005206370510380000000010",
    "payer": {
        "name": "JOÃO ALVES",
        "document": "07034346593",
        "email": "joao@email.com",
        "phone": { "prefix": "79", "number": "988669383" },
        "address": {
            "zipCode": "49010030",
            "publicPlace": "AV. RIO BRANCO",
            "neighborhood": "CENTRO",
            "number": "186",
            "complement": "SALA 602",
            "city": "ARACAJU",
            "state": "SE"
        }
    },
    "status": "Pending",
    "payments": [],
    "createdAt": "2024-12-05T17:55:55.08Z",
    "updatedAt": "2024-12-05T18:00:55.56Z"
}
{
    "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",
    "title": "Not Found",
    "status": 404,
    "traceId": "00-72c40340fe67d8caed8275ee6e37a7a6-52bb2d57c1652859-00"
}